
# load some routes - one should ultimately have the path "/app"
#controllers:
#    resource: '../src/Controller/'
#    type:     annotation
#    prefix:   /%locale%

# redirecting the homepage
root:
    path: /
#    controller: Symfony\Bundle\FrameworkBundle\Controller\RedirectController::urlRedirectAction
    controller: App\Controller\Main\DefaultController::urlRedirect
    defaults:
        path: /%locale%
        permanent: true

main:
    resource: "routes/main/main_router.yml"
    prefix: /{_locale}
    requirements:
        _locale: '%app_locales%'
    defaults:
        _locale: '%locale%'

admin:
    resource: "routes/admin/admin_router.yml"
    prefix:   /admin

cronjob:
    resource: "routes/admin/routing/admin_cronjob.yml"
    prefix:   /cronjob

api:
    resource: "routes/api/api_router.yml"
    prefix:   /api

security:
    resource: "routes/security/security_routes.yml"
    prefix:   /


fos_js_routing_prefix:
    resource: "routes/fos/fos_js_routings.yml"
    prefix:   /

sg_datatables_bundle:
    resource: "@SgDatatablesBundle/Controller/"
    type:     annotation
    prefix:   /sg

